
BEGIN {print "1..11\n";}
END {print "not ok 1\n" unless $loaded;}
use HTML::Tidy;
$loaded = 1;
print "ok 1\n";

################################################################
# Get/Set Tidy Options

my $doc = <<"End_of_doc;";
<bad>
  <tag>Tidy returns error for unknown tags. Should
  only get output if force-output option is set to true.</tag>
</tag>
End_of_doc;

my $tidy = HTML::Tidy::Document->new();
if ( $tidy ) {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}

my $stat = $tidy->Create();
if ( $stat >= 0 ) {
  print "ok 3\n";
}
else {
  print "not ok 3\n";
}

$stat = $tidy->SetErrorFile( "t/opterr.txt" );
if ( $stat >= 0 ) {
  print "ok 4\n";
}
else {
  print "not ok 4\n";
}

$stat = $tidy->LoadConfig("t/test.tidy");
if ( $stat >= 0 ) {
  print "ok 5\n";
}
else {
  print "not ok 5\n";
}

$stat = ( $tidy->OptSetValue( HTML::Tidy::TidyForceOutput, 1 ) ? 0 : -1 );
if ( $stat >= 0 ) {
  print "ok 6\n";
}
else {
  print "not ok 6\n";
}

$stat = $tidy->ParseString($doc);
if ( $stat >= 0 ) {
  print "ok 7\n";
}
else {
  print "not ok 7\n";
}


$stat = $tidy->CleanAndRepair();
if ( $stat >= 0 ) {
  print "ok 8\n";
}
else {
  print "not ok 8\n";
}

$stat = $tidy->RunDiagnostics();
if ( $stat >= 0 ) {
  print "ok 9\n";
}
else {
  print "not ok 9\n";
}

$stat = $tidy->SaveFile( "t/bad.tidied.html" );
if ( $stat >= 0 ) {
  print "ok 10\n";
}
else {
  print "not ok 10\n";
}

$tidy->Release();
print "ok 11\n";
